EMF 1.0

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
EMF::EMRPOLYLINE Class Reference

EMF Polyline. More...

`#include <libemf.h>`

Inheritance diagram for EMF::EMRPOLYLINE:

## Public Member Functions
| EMRPOLYLINE (const RECTL *bounds, const POINT *points, INT n)
| ~EMRPOLYLINE ()
| EMRPOLYLINE (DATASTREAM &ds)
bool | serialize (DATASTREAM ds)
int | size (void) const
void | execute (METAFILEDEVICECONTEXT *source, HDC dc) const
Public Member Functions inherited from EMF::METARECORD
virtual | ~METARECORD ()

## Detailed Description

EMF Polyline.

Draw a series of connected lines.

## Constructor & Destructor Documentation

EMF::EMRPOLYLINE::EMRPOLYLINE | ( | const RECTL * | bounds,
|  | const POINT * | points,
|  | INT | n
| ) |  |
| inline

Parameters

  bounds | overall bounding box of polyline.
  points | array of polyline vertices.
  n | number of vertices in points.

EMF::EMRPOLYLINE::~EMRPOLYLINE | ( |  | ) |
| inline

Destructor frees a copy of the points it buffered.

EMF::EMRPOLYLINE::EMRPOLYLINE | ( | DATASTREAM & | ds | ) |
| inline

Construct a Polyline record from the input stream.

Parameters

  ds | Metafile datastream.

## Member Function Documentation

void EMF::EMRPOLYLINE::execute | ( | METAFILEDEVICECONTEXT * | source,
|  | HDC | dc
| ) |  | const
| inline virtual

Execute this record in the context of the given device context.

Parameters

  source | the device context from which this record is taken.
  dc | device context for execute.

Implements EMF::METARECORD.

bool EMF::EMRPOLYLINE::serialize | ( | DATASTREAM | ds | ) |
| inline virtual

Parameters

  ds | Metafile datastream.

Implements EMF::METARECORD.

int EMF::EMRPOLYLINE::size | ( | void |  | ) | const
| inline virtual

Internally computed size of this record.

Implements EMF::METARECORD.

The documentation for this class was generated from the following file:

- libemf.h